Bug 1434939 - OpsUI - Ansible - MyServices - Details - Hosts - Does not reflect what was set in the dialog for the Hosts
Summary: OpsUI - Ansible - MyServices - Details - Hosts - Does not reflect what was s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Bill Wei
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-22 16:23 UTC by John Hardy
Modified: 2017-07-11 19:44 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:43:31 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description John Hardy 2017-03-22 16:23:56 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a Ansible Service with a default dialog
2. Order the service and override the HOSTS attribute with a new value
3. Check my services, details, hosts and the value is set to LOCALHOST rather than what you choose.

Interestingly the value you choose in the dialog IS passed to the playbook and works fine. I think this is UI issue.

Actual results:


Expected results:


Additional info:

Comment 3 CFME Bot 2017-03-27 17:51:29 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/17ce7bc620be00b69bff8140f8f46da454e0905f

commit 17ce7bc620be00b69bff8140f8f46da454e0905f
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Mon Mar 27 10:48:46 2017 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Mon Mar 27 10:51:49 2017 -0400

    Fix saving hosts in ansible playbook job
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1434939

 app/models/service_ansible_playbook.rb       | 10 ++++++----
 spec/models/service_ansible_playbook_spec.rb |  2 +-
 2 files changed, 7 insertions(+), 5 deletions(-)

Comment 4 Aziza Karol 2017-04-21 05:46:29 UTC
OpsUI - Ansible - MyServices - Details - Hosts - reflects what was set in the dialog for the Hosts.

Verified:
5.8.0.11-beta2.20170418170914_a53d2a7

Comment 5 Aziza Karol 2017-05-16 12:11:38 UTC
Assigning shveta for test case.

Comment 7 errata-xmlrpc 2017-05-31 14:43:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.